//! A mathematical library.
//! License: Proprietary
//!
//!
#![feature(float_extras)]
#![feature(associated_consts)]


mod zero;
mod one;
mod bounded;
mod number;
mod whole;
mod integer;
mod real;
mod constants;

pub mod trig;
pub mod vector;
pub mod matrix;
pub mod quaternion;


pub use self::zero::Zero;
pub use self::one::One;
pub use self::number::Number;
pub use self::whole::Whole;
pub use self::integer::Integer;
pub use self::real::Real;
pub use self::constants::Constants;
